Name:          python-docutils
Version:       0.11
Release:       1mamba
Summary:       Python Documentation Utilities
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://docutils.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/docutils/docutils/%{version}/docutils-%{version}.tar.gz
License:       Python, BSD, GPL, public domain
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython27-devel
## AUTOBUILDREQ-END
BuildRequires: python-setuptools
Requires:      python27 >= %python27_version
Requires:      python-Imaging
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
Docutils is an open-source text processing system for processing plaintext documentation into useful formats, such as HTML or LaTeX.
It includes reStructuredText, the easy to read, easy to use, what-you-see-is-what-you-get plaintext markup language.

%prep
%setup -q -n docutils-%{version}

%build
CFLAGS="%{optflags}" %{__python27} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python27} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python%{python27_version} \
   --install-lib=%{python27_sitearch} \
   --record=%{name}.filelist

sed -i "\,^%{_bindir},d" %{name}.filelist

# remove .py extension for executable
for file in %{buildroot}%{_bindir}/*.py; do
  mv $file %{buildroot}%{_bindir}/$(basename $file .py)
done

# remove no license file
rm -f licenses/docutils.conf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%{_bindir}/rst*
%dir %{python27_sitearch}/docutils
%doc *.txt licenses docs tools/editors

%changelog
* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- rebuilt with python 2.7

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic version update by autodist

* Tue Aug 30 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.1-1mamba
- update to 0.8.1

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.7-1mamba
- update to 0.7

* Tue Jan 19 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.6-1mamba
- package created by autospec
